IDA SDK

- Main Page
- Header Files
- Classes
- Modules

Functions
Functions: custom viewer handlers

## Detailed Description

Convenience functions for ui_set_custom_viewer_handler.

## Functions
void | set_custom_viewer_handlers (TCustomControl *custom_viewer, const custom_viewer_handlers_t *cvh, void *cvh_ud)
| Set handlers for custom viewer events (::ui_obsolete_set_custom_viewer_handlers2 - also see ui_set_custom_viewer_handler). More...
void * | set_custom_viewer_handler (TCustomControl *custom_viewer, custom_viewer_handler_id_t handler_id, void *handler_or_data)
| Set a handler for a custom viewer event (ui_set_custom_viewer_handler). More...
bool | set_custom_viewer_qt_aware (TCustomControl *custom_viewer)
| Allow the given viewer to interpret Qt events (ui_set_custom_viewer_handler)
void * | set_code_viewer_handler (TCustomControl *code_viewer, custom_viewer_handler_id_t handler_id, void *handler_or_data)
| Set a handler for a code viewer event (ui_set_custom_viewer_handler). More...
bool | set_code_viewer_user_data (TCustomControl *code_viewer, void *ud)
| Set the user data on a code viewer (ui_set_custom_viewer_handler).
bool | set_code_viewer_lines_icon_margin (TCustomControl *code_viewer, int margin)
| Set space allowed for icons in the margin of a code viewer (ui_set_custom_viewer_handler).
bool | set_code_viewer_lines_alignment (TCustomControl *code_viewer, int align)
| Set alignment for lines in a code viewer (ui_set_custom_viewer_handler).
bool | set_code_viewer_lines_radix (TCustomControl *code_viewer, int radix)
| Set radix for values displayed in a code viewer (ui_set_custom_viewer_handler).
bool | set_code_viewer_is_source (TCustomControl *code_viewer)
| Specify that the given code viewer is used to display source code (ui_set_custom_viewer_handler).

## Function Documentation

void set_custom_viewer_handlers | ( | TCustomControl * | custom_viewer,
|  | const custom_viewer_handlers_t * | cvh,
|  | void * | cvh_ud
| ) |  |
| inline

Set handlers for custom viewer events (::ui_obsolete_set_custom_viewer_handlers2 - also see ui_set_custom_viewer_handler).

Any of these handlers may be NULL

void* set_custom_viewer_handler | ( | TCustomControl * | custom_viewer,
|  | custom_viewer_handler_id_t | handler_id,
|  | void * | handler_or_data
| ) |  |
| inline

Set a handler for a custom viewer event (ui_set_custom_viewer_handler).

see also ui_set_custom_viewer_handlers

Parameters

  custom_viewer | the custom viewer
  handler_id | one of CVH_ in custom_viewer_handler_id_t
  handler_or_data | can be a handler or data. see examples in Functions: custom viewer handlers

Returns
  old value of the handler or data

void* set_code_viewer_handler | ( | TCustomControl * | code_viewer,
|  | custom_viewer_handler_id_t | handler_id,
|  | void * | handler_or_data
| ) |  |
| inline

Set a handler for a code viewer event (ui_set_custom_viewer_handler).

Parameters

  code_viewer | the code viewer
  handler_id | one of CDVH_ in custom_viewer_handler_id_t
  handler_or_data | can be a handler or data. see examples in Functions: custom viewer handlers

Returns
  old value of the handler or data